<html> 
 <head> 
  <script language="JavaScript"> 
   var seleccionado = ""; 
   var aEdit = new Array( 
                "MacGraw_Hill", 
                "Microsoft_Press", 
                "Salvat" 
               ); 

   function cambiaSel(chk){ 
    seleccionado = chk.value; 
   } 

   function envia(){ 
    opener.document.form1.numero.value = seleccionado; 
    close(); 
   } 
  </script> 
 </head> 
 <body> 
  <form name="frm2"> 
   <script language="JavaScript"> 
    for (var i = 0; i < aEdit.length; i++) 
     document.write("<input type='radio' name='ed' value='" + aEdit[i] + "' onclick='cambiaSel(this)'>" + aEdit[i] + "<br>"); 
   </script> 
   <input type="button" name="enviar" value="Enviar" onClick="envia()"> 
  </form> 
 </body> 
</html> 